Subject: StartFunction (was Re: FVWM: Window position)

From: Mikhael Goikhman <[email-masked]>
Date: Sat, 15 Jul 2000 20:36:09 +0300

On 28 Jun 2000 15:27:14 -0700, Elliot Sowadsky wrote:
> 
> > # choose one of 2 invocations (the second is preferable)
> > Module FvwmEvent
> > #AddToFunc StartFunction I Module FvwmEvent
> 
> 
> What's the difference?

The first forks a module immediately (for example, if you type this in
FvwmConsole), the second suspends a module invocation at startup/restart.

If you start modules in .fvwm2rc directly, it may lock up fvwm. A better
way is to start modules in StartFunction, which is (like InitFunction and
RestartFunction) executed after .fvwm2rc is processed, i.e. all your style
and module definitions are guaranteed to be processed by then. For the
similar reasons it is preferable to start applications (and to have Wait
commands) in InitFunction, not directly.

Starting from 2.2.4, StartFunction can be used to define a common part of
InitFunction and RestartFunction to avoid duplication.

  AddToFunc StartFunction
  + I Module ...
  + I Module ...
  + I xsetroot ...

  AddToFunc InitFunction
  + I xterm -g ...
  + I Wait xterm
  + I netscape ...

Regards,
Mikhael.
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].